# ---+ Extensions
# ---++ Email Two-Step Auth Contrib
# This is the configuration of the <b>EmailTwoStepAuthContrib</b>.

# **STRING 80**
# White-listed IP addresses. Specify a comma-space separated list. Partial IP addresses
# ending in a dot can be used to specify a range. Example: <tt>1.2.3.4, 5.6.7.</tt>
$TWiki::cfg{EmailTwoStepAuthContrib}{WhitelistAddresses} = '';

# **NUMBER**
# Maximum age of access code in seconds, default is 600 (10 min).
$TWiki::cfg{EmailTwoStepAuthContrib}{MaxAge} = 600;

# **STRING 80**
# Name of two-step message template, default 'emailtwostepmessage'.
$TWiki::cfg{EmailTwoStepAuthContrib}{MessageTmpl} = 'emailtwostepmessage';

# **STRING 80**
# Name of login screen template, default 'emailtwosteplogin'.
$TWiki::cfg{EmailTwoStepAuthContrib}{LoginTmpl} = 'emailtwosteplogin';

# **STRING 80**
# Access code error message.
$TWiki::cfg{EmailTwoStepAuthContrib}{AcessCodeError} = 'Invalid or outdated access code, please try again.';

